import { Package } from './Package';
export declare class File {
    pkg: Package;
    filePath: string;
    absFilePath: string;
    absFileDir: string;
    constructor(opts: {
        pkg: Package;
        filePath: string;
    });
    writeContent(content: string): void;
    getPrefix({ isExternal, key }: {
        isExternal?: boolean;
        key?: string;
    }): string;
    getExternals(): {
        [key: string]: string;
    };
    parse(): void;
}
