import { IPkg } from './types';
interface IOpts {
    cwd: string;
    name: string;
    typesRoot?: string;
    rootPackage?: Package;
    externals?: string[];
}
export declare class Package {
    cwd: string;
    opts: IOpts;
    typesRoot: string;
    pkgRoot: string;
    importPrefix: string;
    rootPackage: Package;
    packages: {
        [name: string]: boolean;
    };
    files: {
        [name: string]: boolean;
    };
    entryFile: string;
    constructor(opts: IOpts);
    addFile(file: string): void;
    init(): void;
    getPkg(): {
        pkg: IPkg;
        pkgRoot: string;
    };
    getEntryFile(): any;
}
export {};
